<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <rich:messages globalOnly="true" styleClass="message"/>
            <s:div id="globalDiv">
                <h1>#{messages['gazelle.hl7.validator.HL7Resources']}</h1>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">
                        #{messages['gazelle.hl7.validator.HL7Resources']}
                    </ui:define>
                    <rich:dataTable id="resourceTagle" rows="#{dataScrollerMemory.numberOfResultsPerPage}" value="#{resourceDisplayManager.getAvailableResources()}"
                                    var="hl7table"
                                    render="ds">
                        <ui:include src="/columns/resource.xhtml">
                            <ui:param name="datatable" value="#{hl7table}"/>
                        </ui:include>
                        <g:column id="actionColumn">
                            <ui:define name="header">#{messages['gazelle.hl7mpr.Action']}</ui:define>
                            <div class="gzl-never-wrap">
                                <h:commandLink id="viewActionButton" title="#{messages['gazelle.hl7.validator.ViewResource']}"
                                               action="#{resourceDisplayManager.displaySelectedResource(hl7table)}"
                                               oncomplete="jq162('#iconPopup').modal('show');">
                                    <span class="gzl-icon-search"></span>
                                </h:commandLink>
                                <h:commandLink id="downloadActionButton"
                                               actionListener="#{resourceDisplayManager.downloadSelectedResource(hl7table)}"
                                               oncomplete="jq162('#iconPopup').modal('show');">
                                    <span class="gzl-icon-download"></span>
                                </h:commandLink>
                                <h:commandLink id="updateActionButton"
                                               title="#{messages['gazelle.hl7.validator.UpdateResource']}"
                                               action="#{resourceDisplayManager.displaySelectedResourceInEditMode(hl7table)}"
                                               oncomplete="jq162('#iconPopup').modal('show');"
                                               rendered="#{s:hasRole('admin_role')}">
                                    <span class="gzl-icon-pencil"></span>
                                </h:commandLink>
                            </div>
                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="ds"/>
                                <ui:param name="dataTableId" value="resourceTagle"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
